POST
/api/v1/team/invitationsTeam
Create team invitation
Invite someone to join your participant.
Sandbox API
https://sandbox-api.nuvante.ioSends a WorkOS invitation to the email address, so the person can join your participant as role: member. Your participantId is set on the server, so you can only invite people into your own participant. If the email already belongs to an active member or has a pending invitation, you'll get a 409. Needs manageOwnTeam.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | string · header | Yes | Tenant admin portal JWT with `manageOwnTeam`. |
| string (email) · body | Yes | The email address to invite. This is the only field accepted, because the role and participant are set for you. |
Responses
201Invitation sent.
409The email already belongs to an active member or has a pending invitation.
Request
curl --request POST \
--url 'https://sandbox-api.nuvante.io/api/v1/team/invitations' \
--header 'Authorization: Bearer nvt_sandbox_your_key' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"email": "engineer@participant.example"
}'Response
{
"data": {
"invitationId": "inv_423e4567-e89b-42d3-a456-426614174049",
"email": "engineer@participant.example",
"participantId": "223e4567-e89b-42d3-a456-426614174001",
"role": "member",
"status": "pending",
"expiresAt": "2026-09-08T10:00:00.000Z",
"createdAt": "2026-09-01T10:00:00.000Z"
},
"meta": {
"commandId": "023e4567-e89b-42d3-a456-426614174049"
}
}